Package org.eclipse.e4.ui.model.application.commands

# Interface MBindingTableContainer

All Known Subinterfaces:
  `MApplication`

public interface MBindingTableContainer
A representation of the model object 'Binding Table Container'.

This type contains the list of binding 'tables', representing the various sets of bindings based on the applicaiton's current running 'context'. Here the 'context' represents the applicaiton's UI state (i.e. whenther a Dialog is open...).

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients.

  The following features are supported:

  - `Binding Tables`
  - `Root Context`

## Method Summary

Modifier and Type
Method
Description
`List<MBindingTable>`
`getBindingTables()`
Returns the value of the 'Binding Tables' containment reference list.
`List<MBindingContext>`
`getRootContext()`
Returns the value of the 'Root Context' containment reference list.

## Method Details

### getBindingTables

List<MBindingTable> getBindingTables()
Returns the value of the 'Binding Tables' containment reference list. The list contents are of type `MBindingTable`.

Developers: Add more detailed documentation by editing this comment in org.eclipse.ui.model.workbench/model/UIElements.ecore. There is a GenModel/documentation node under each type and attribute.

Returns:
  the value of the 'Binding Tables' containment reference list.

### getRootContext

List<MBindingContext> getRootContext()
Returns the value of the 'Root Context' containment reference list. The list contents are of type `MBindingContext`.

Developers: Add more detailed documentation by editing this comment in org.eclipse.ui.model.workbench/model/UIElements.ecore. There is a GenModel/documentation node under each type and attribute.

Returns:
  the value of the 'Root Context' containment reference list.